Productsup
CDE APIApi referencePlatform

Enable synced connector for a target production account/project/site

In order to perform this operation, the connector should have been created on the platform. The only way to update the connector would be to create a new version.

Sign in to run requests against the CDE API.
POST
/connectors/{publicId}/versions/{connectorVersion}/access/prod/enable

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/access/prod/enable" \  -H "Content-Type: application/json" \  -d '{    "accounts": [      789,      987    ],    "projects": [      321,      654    ],    "sites": [      123,      456    ]  }'
{
  "message": "Updated access.",
  "resource": "connector-version",
  "data": {
    "name": "crooks.com",
    "description": null,
    "readme": null,
    "version": "1.0.0",
    "logo": null,
    "created-at": "2026-05-11T14:12:44+02:00",
    "updated-at": "2026-05-11T14:12:44+02:00",
    "deleted-at": null,
    "state": "synchronized-to-dev",
    "config": {
      "update-progress": [],
      "secret-registrations": [],
      "authentication-registrations": [],
      "authentication-registrations-additional-fields": [],
      "application": null,
      "vcs": null,
      "docker": {
        "image-name": null,
        "image-tag": null,
        "registry-url": null
      },
      "individuals": [],
      "migration": null,
      "execution": {
        "execution-mode": "as-env-variables",
        "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
        "docker-host": null,
        "container-api": {
          "image": null,
          "version-constraint": "^9.9.9"
        }
      },
      "export": null,
      "data-service": null,
      "datasource": null,
      "buckets": [],
      "feature-flags": [],
      "container-api-config": null
    },
    "platform_dev_reference": {
      "account": null,
      "project": null,
      "executable": null,
      "platform-connector": null,
      "site": null,
      "site-processing-cluster": null,
      "assigned-to-site": null,
      "assigned-to-channel": null,
      "assigned-to-channel-site": null,
      "assigned-to-channel-site-destination": null,
      "runtime": {
        "environment": "cre",
        "version": null
      }
    },
    "platform_prod_reference": {
      "executable": null,
      "platform-connector": 28,
      "target-accounts": [
        789,
        987,
        777
      ],
      "target-projects": [
        321,
        654,
        444
      ],
      "target-sites": [
        123,
        456,
        666
      ],
      "enabled-for-accounts": [
        789,
        987
      ],
      "enabled-for-projects": [
        321,
        654
      ],
      "enabled-for-sites": [
        123,
        456
      ],
      "assigned-to-sites": [],
      "released": false,
      "version": null,
      "runtime": {
        "environment": "cre",
        "version": null
      }
    },
    "prod_config": null,
    "dev_config": null
  }
}

How is this guide?